#ifndef __World_h_
#define __World_h_

#include "OgreVector3.h"
#include "OgreString.h"

namespace Ogre {
    class SceneNode;
    class SceneManager;
}

class MovingObject;
class World 

{
public:
	
    World(Ogre::SceneManager *sceneManager);

    // You'll want various methods to access & change your world here
    
    void Think(float time);
    
	void Setup();

protected:
	 
    Ogre::SceneManager *mSceneManager; 
    Ogre::SceneNode *mIncrwormNode2;
    Ogre::Entity *mInchwormEntity2;
    Ogre::String animName2;
    Ogre::SceneNode *mIncrwormNode;
    Ogre::Entity *mInchwormEntity;
    Ogre::String animName;
    int zeroFrames;
    int nonZeroFrames;
};


#endif